var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef } from "react";
import styled from "styled-components";
import { darkgray50, redpink50, white } from "../../common";
export var NavTab = forwardRef(function (props, ref) {
    var active = props.active, children = props.children, variant = props.variant, title = props.title;
    return (_jsxs(Tab, __assign({ ref: ref, active: active, variant: variant }, { children: [title,
            children] }), void 0));
});
var Tab = styled.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var active = _a.active, variant = _a.variant;
    var color = darkgray50;
    var borderColor = active ? redpink50 : "transparent";
    switch (variant) {
        case "black": {
            color = darkgray50;
            break;
        }
        case "white": {
            color = white;
            break;
        }
    }
    return "\n        padding: 2px;\n        height: 30px;\n        max-height: 31px;\n        background: none;\n        border: none;\n        border-bottom: 2px solid " + borderColor + ";\n        color: " + color + ";\n        border-radius: unset;\n\n        font-size: 15px;\n        font-weight: bold;\n    ";
});
var templateObject_1;
